POST /registry/allocation-instruction/v2/allocation-factory
Get the factory and choice context for creating allocations using the AllocationFactory_Allocate choice.
Registries MAY limit the size of the allocations that they support.
To ensure wide compatibility with apps, registries MUST support creating allocations that involve at most 25 transfer legs. In a worst case scenario this means supporting the creation of an allocation with:
- 25 transfer legs
- 25 distinct instrument ids
- 50 distinct accounts
- 100 distinct parties
Registries MAY support larger allocations.
Body
The arguments that are intended to be passed to the choice provided by the factory.
To avoid repeating the Daml type definitions, they are specified as JSON objects.
However the concrete format is given by how the choice arguments are encoded using the Daml JSON API
(with the extraArgs.context and extraArgs.meta fields set to the empty object).
The choice arguments are provided so that the registry can also provide choice-argument specific contracts, e.g., the configuration for a specific instrument-id.
If set to true, the response will not include fields prefixed with 'debug'. Useful to save bandwidth.
Response
ok
A factory contract together with the choice context required to exercise the choice provided by the factory. Typically used to implement the generic initiation of on-ledger workflows via a Daml interface.
Clients SHOULD avoid reusing the same FactoryWithChoiceContext for exercising multiple choices,
as the choice context MAY be specific to the choice being exercised.
The contract ID of the contract implementing the factory interface.
The context required to exercise a choice on a contract via an interface.
Used to retrieve additional reference data that is passed in via disclosed contracts,
which are in turn referred to via their contract ID in the choiceContextData.
Asset implementations SHOULD avoid that this value depends on contract-ids passed in the choice arguments, so that clients can prefetch choice contexts when chaining multiple token standard actions together in a single Daml transaction.